monodoc(1)

NAME
monodoc - GUI Mono documentation browser

SYNOPSIS
monodoc [options]

DESCRIPTION
monodoc is a GTK#-based browser for viewing collected API documentation for CLI libraries installed on the system

RUNTIME OPTIONS

  The following options are available for browsing documentation:

TOPIC
    Start the browser at TOPIC

    (ex. N:System, T:System.Object, M:System.Object.Equals, and P: for properties, F: for fields, E: for events, etc.)

--help
    Print a brief instructions on usage

--about
    About the monodoc browser

--html TOPIC
    Print the HTML contents of TOPIC

--make-index
    Create the documentation index

--make-search-index
    Create the searchable documentation index

--engine
    Select a browser backend (Gecko, GtkHtml, WebKit, MonoWebBrowser)

  The following options are available for authoring documentation:

--assemble
    Runs the doc assembler

--cs-to-ecma DOCFILE ASSEMBLY OUTPUT LIBRARY-NAME
    Converts C# documentation to Monodoc format

--edit path
    Edit (unassembled) documentation at path

--get-sourcesdir
    Prints the location of monodoc sources

--merge-changes CHANGE_FILE [TARGET_DIR]

--normalize
    Format a documentation file consistently

--validate
    Validate the XML files

SEE ALSO
mono(1), mdassembler(1), mdcs2ecma(1), mdnormalizer(1), mdvalidator(1), monodocs2html(1), monodocer(1)